#pragma once
#ifndef EVENT_LIST_H
#define EVENT_LIST_H

/* коды событий */
typedef enum {
  eventNull = 0x00,
  evNewSecond,
  evBTN1Pressed,
  evBTN2Pressed,
  evBTN3Pressed,
  evBTN1Holded,
  evBTN2Holded,
  evBTN3Holded,
  evRefreshCal,
  evDisplayWDT
} es_event_t;

/* коды состояний */
typedef enum {
  stNoChange = 0x00,
  stShowTime,
  stShowWDM,
  stShowYear,
#ifdef USE_BRIGHT_CONTROL
  stShowBright,
#endif // USE_BRIGHT_CONTROL
  stSetHH,
  stSetMM,
  stSetWDay,
  stSetMDay,
  stSetMon,
  stSetYear,
  /* end */
  stLastState
} es_state_t;

#ifndef NULL
  #define NULL ((void*)0)
#endif

#endif
